%define rname caja-extensions
#%%def_with beesu

Name: mate-file-manager-extensions
Version: 1.28.0
Release: alt2
Epoch: 1
Summary: Set of extensions for caja file manager
License: GPLv2+
Group: Graphical desktop/MATE
Url: http://mate-desktop.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Provides: %rname = %epoch:%version-%release

Source: %rname-%version.tar
Patch: %rname-%version-%release.patch

BuildRequires: mate-common gtk-doc libdbus-glib-devel mate-desktop-devel mate-file-manager-devel gst-plugins1.0-devel

%description
Extensions for the caja file-browser, open-terminal, image-converter, sendto and share

%package common
Group: Graphical desktop/MATE
Summary: Common files for %rname
BuildArch: noarch
Provides: %rname-common = %epoch:%version-%release

%description common
%summary

%package -n mate-file-manager-audio-video-properties
Group: Graphical desktop/MATE
Summary: MATE file manager audio-video-properties extension
Provides: caja-audio-video-properties = %epoch:%version-%release
Requires: %name-common = %epoch:%version-%release

%description -n mate-file-manager-audio-video-properties
The caja-audio-video-properties extension allows you to
view audio and video properties in Caja.

%package -n mate-file-manager-image-converter
Group: Graphical desktop/MATE
Summary: MATE file manager image converter extension
Provides: caja-image-converter = %epoch:%version-%release
Requires: %name-common = %epoch:%version-%release ImageMagick-tools

%description -n mate-file-manager-image-converter
The caja-image-converter extension allows you to
re-size/rotate images from Caja.

%package -n mate-file-manager-open-terminal
Group: Graphical desktop/MATE
Summary: Mate-file-manager extension for an open terminal shortcut
Provides: caja-open-terminal = %epoch:%version-%release
Requires: %name-common = %epoch:%version-%release

%description -n mate-file-manager-open-terminal
The caja-open-terminal extension provides a right-click "Open
Terminal" option for mate-file-manager users who prefer that option.

%package -n mate-file-manager-sendto
Group: Graphical desktop/MATE
Summary: MATE file manager sendto
Provides: caja-sendto = %epoch:%version-%release
Requires: %name-common = %epoch:%version-%release

%description -n mate-file-manager-sendto
The caja-sendto extension provides 'send to' functionality
to the MATE Desktop file-manager, Caja.

%package -n mate-file-manager-sendto-devel
Group: Graphical desktop/MATE
Summary: Development libraries and headers for caja-sendto

%description -n mate-file-manager-sendto-devel
Development libraries and headers for caja-sendto

%package -n mate-file-manager-share
Group: Graphical desktop/MATE
Summary: Easy sharing folder via Samba (CIFS protocol)
Provides: caja-share = %epoch:%version-%release
Requires: %name-common = %epoch:%version-%release samba

%description -n mate-file-manager-share
Caja extension designed for easier folders
sharing via Samba (CIFS protocol) in *NIX systems.

%package -n mate-file-manager-beesu
Group: Graphical desktop/MATE
Summary: MATE file manager beesu
Provides: caja-beesu = %epoch:%version-%release
Requires: %name-common = %epoch:%version-%release beesu

%description -n mate-file-manager-beesu
Caja beesu extension for open files as superuser

%package -n mate-file-manager-wallpaper
Group: Graphical desktop/MATE
Summary: MATE file manager wallpaper
Provides: caja-wallpaper = %epoch:%version-%release
Requires: %name-common = %epoch:%version-%release

%description -n mate-file-manager-wallpaper
Caja wallpaper extension, allows to quickly set wallpaper.

%package -n mate-file-manager-xattr-tags
Group: Graphical desktop/MATE
Summary: MATE file manager xattr-tags
Provides: caja-xattr-tags = %epoch:%version-%release
Requires: %name-common = %epoch:%version-%release

%description -n mate-file-manager-xattr-tags
Caja xattr-tags extension, allows to quickly set xattr-tags

%prep
%setup -q -n %rname-%version
%patch -p1

%build
%autoreconf
%configure \
	--disable-schemas-compile \
	--disable-static \
	--enable-gtk-doc \
	--enable-xattr-tags=no \
	--enable-image-converter \
	--enable-open-terminal \
	--enable-sendto \
	--with-sendto-plugins=emailclient \
	--enable-share \
%if_with beesu
	--enable-gksu \
%else
	--disable-gksu \
%endif
	--enable-wallpaper

%make_build

%install
%make DESTDIR=%buildroot install

find %buildroot%_libdir -name \*.la -delete

%find_lang %rname --with-gnome --all-name

%files common -f %rname.lang
%doc AUTHORS COPYING README
%dir %_datadir/caja-extensions

%files -n mate-file-manager-audio-video-properties
%_libdir/caja/extensions-2.0/libcaja-av.so
%_datadir/caja/extensions/libcaja-av.caja-extension

%files -n mate-file-manager-image-converter
%_libdir/caja/extensions-2.0/libcaja-image-converter.so
%_datadir/caja/extensions/libcaja-image-converter.caja-extension

%files -n mate-file-manager-open-terminal
%_libdir/caja/extensions-2.0/libcaja-open-terminal.so
%_datadir/glib-2.0/schemas/org.mate.caja-open-terminal.gschema.xml
%_datadir/caja/extensions/libcaja-open-terminal.caja-extension

%files -n mate-file-manager-sendto
%_bindir/caja-sendto
%_libdir/caja-sendto
%_libdir/caja/extensions-2.0/libcaja-sendto.so
%_datadir/glib-2.0/schemas/org.mate.Caja.Sendto.gschema.xml
%_datadir/caja/extensions/libcaja-sendto.caja-extension
%_datadir/gtk-doc/html/caja-sendto
%_man1dir/*.1*

%files -n mate-file-manager-sendto-devel
%_includedir/caja-sendto
%_pkgconfigdir/caja-sendto.pc

%files -n mate-file-manager-share
%_libdir/caja/extensions-2.0/libcaja-share.so
%_datadir/caja-extensions/share-dialog.ui
%_datadir/caja/extensions/libcaja-share.caja-extension

%if_with beesu
%files -n mate-file-manager-beesu
%_libdir/caja/extensions-2.0/libcaja-gksu.so
%_datadir/caja/extensions/libcaja-gksu.caja-extension
%endif

%files -n mate-file-manager-wallpaper
%_libdir/caja/extensions-2.0/libcaja-wallpaper.so
%_datadir/caja/extensions/libcaja-wallpaper.caja-extension

#files -n mate-file-manager-xattr-tags
#_libdir/caja/extensions-2.0/libcaja-xattr-tags.so
#_datadir/caja/extensions/libcaja-xattr-tags.caja-extension

%changelog
* Wed May 14 2025 Anton Midyukov <antohami@altlinux.org> 1:1.28.0-alt2
- NMU: disable mate-file-manager-beesu package build (closes: #54148)

* Tue Feb 27 2024 Valery Inozemtsev <shrek@altlinux.ru> 1:1.28.0-alt1
- 1.28.0

* Wed Oct 11 2023 Valery Inozemtsev <shrek@altlinux.ru> 1:1.26.1-alt4
- updated build dependensions

* Tue Apr 18 2023 Valery Inozemtsev <shrek@altlinux.ru> 1:1.26.1-alt3
- updated translations
- sendto: emailclient only (closes: #44272)

* Wed Nov 23 2022 Valery Inozemtsev <shrek@altlinux.ru> 1:1.26.1-alt2
- fixed translate image converter dialogs

* Tue Nov 22 2022 Valery Inozemtsev <shrek@altlinux.ru> 1:1.26.1-alt1
- 1.26.1

* Sun Aug 08 2021 Valery Inozemtsev <shrek@altlinux.ru> 1:1.26.0-alt1
- 1.26.0

* Fri Aug 21 2020 Valery Inozemtsev <shrek@altlinux.ru> 1:1.24.1-alt1
- 1.24.1

* Sat Mar 28 2020 Valery Inozemtsev <shrek@altlinux.ru> 1:1.24.0-alt2
- rebuild with gupnp 1.2

* Tue Feb 25 2020 Valery Inozemtsev <shrek@altlinux.ru> 1:1.24.0-alt1
- 1.24.0

* Wed Oct 16 2019 Valery Inozemtsev <shrek@altlinux.ru> 1:1.22.1-alt1
- 1.22.1

* Wed Mar 06 2019 Valery Inozemtsev <shrek@altlinux.ru> 1:1.22.0-alt1
- 1.22.0

* Tue Dec 18 2018 Valery Inozemtsev <shrek@altlinux.ru> 1:1.20.2-alt1
- 1.20.2

* Sun Oct 14 2018 Igor Vlasenko <viy@altlinux.ru> 1:1.20.1-alt1.qa1
- NMU: applied repocop patch

* Fri Jun 15 2018 Valery Inozemtsev <shrek@altlinux.ru> 1:1.20.1-alt1
- 1.20.1

* Wed Mar 21 2018 Valery Inozemtsev <shrek@altlinux.ru> 1:1.20.0-alt1
- initial build from git.mate-desktop.org

* Thu Feb 22 2018 Vladimir D. Seleznev <vseleznv@altlinux.org> 1.20.0-alt1_1
- new fc release
